/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.components;

import javax.swing.JComboBox;

import net.sf.genomeview.core.Configuration;


public class QualifierCombo extends JComboBox {



    private static final long serialVersionUID = 3311298470708351886L;

    public QualifierCombo() {
        for (String ct : Configuration.getStringSet("emblQualifiers")) {
            this.addItem(ct);
        }
    }

    public String getQualifierKey() {
        return (String) this.getSelectedItem();
    }

}
