/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.config;

import java.awt.Component;
import java.awt.Container;

import net.sf.genomeview.data.Model;

public abstract class ConfigBox {

	public static Container booleanInstance(Model model,String key, String title) {
		return new BooleanConfig(key, title,model);

	}

	public static Container stringInstance(String key, String title) {
		return new StringConfig(key, title);

	}
	
	public static Container integerInstance(String key, String title) {
		return new IntegerConfig(key, title);

	}
	
	public static Container colorInstance(Model model,String key, String title) {
		return new ColorConfig(model,key, title);

	}

	public static Component doubleInstance(String key, String title) {
		return new DoubleConfig(key, title);
	}
	
}
