/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.menu.navigation;

import java.awt.event.ActionEvent;

import javax.swing.ImageIcon;

import net.sf.genomeview.data.Model;
import net.sf.genomeview.gui.menu.AbstractModelAction;
import net.sf.jannot.Location;

public class AnnotationZoomOutAction extends AbstractModelAction {

    private static final long serialVersionUID = 3458337359897530470L;

    public AnnotationZoomOutAction(Model model) {
        super(null, new ImageIcon(model.getClass().getResource("/images/zoom_out.png")), model);

    }

    public void actionPerformed(ActionEvent arg0) {
        Location r = model.vlm.getAnnotationLocationVisible();
        double start = r.start();
        double end = r.end();
        double center = end - (end - start) / 2;
        int newStart = (int) (center - (end - start) * 0.75);
        int newEnd = (int) (center + (end - start) * 0.75);
        if(enabled)
        	model.vlm.setAnnotationLocationVisible(new Location(newStart, newEnd));

    }

}
